Bug 102614 - allow creation of "drop-down" buttons in netbeans
allow creation of "drop-down" buttons in netbeans
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on: 103307
Blocks: 90801
  Show dependency treegraph
 
Reported: 2007-04-26 13:27 UTC by Stanislav Aubrecht
Modified: 2008-12-22 11:54 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed implementation (34.57 KB, patch)
2007-04-26 13:32 UTC, Stanislav Aubrecht
Details | Diff
rollover (2.59 KB, image/png)
2007-04-26 13:38 UTC, Stanislav Aubrecht
Details
drop-down (4.17 KB, image/png)
2007-04-26 13:39 UTC, Stanislav Aubrecht
Details
Planned usage in projectui (3.00 KB, text/plain)
2007-05-03 20:43 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2007-04-26 13:27:00 UTC
very common ui concept is a button with a small 'arrow' that opens a popup menu
when clicked (e.g. 'back' button in internet browsers). 
i propose adding a factory class that can create such buttons.
Comment 1 Stanislav Aubrecht 2007-04-26 13:32:40 UTC
Created attachment 41725 [details]
proposed implementation
Comment 2 Stanislav Aubrecht 2007-04-26 13:38:41 UTC
Created attachment 41726 [details]
rollover
Comment 3 Stanislav Aubrecht 2007-04-26 13:39:11 UTC
Created attachment 41727 [details]
drop-down
Comment 4 Stanislav Aubrecht 2007-05-03 10:06:11 UTC
if there are no objections, i'll integrate this tomorrow
Comment 5 Jesse Glick 2007-05-03 20:38:10 UTC
Seems to suffice for adding a configuration selector to the Run and Debug
toolbar buttons, the use case I am interested in.

[JG01] Clicking on the arrow when the menu is already open should close it.

[JG02] 'if( null != menu && menu instanceof JPopupMenu )' is redundant
(instanceof is always false for null).
Comment 6 Jesse Glick 2007-05-03 20:43:09 UTC
Created attachment 42121 [details]
Planned usage in projectui
Comment 7 Stanislav Aubrecht 2007-05-04 12:07:28 UTC
integrated to trunk

jg01 - i have problems fixing this - i'll create a new issue for it
jg02 - fixed

(jesse, i presume you'll want to integrate the MainProjectAction yourself, right?)

Checking in src/org/openide/awt/IconWithArrow.java;
/cvs/openide/awt/src/org/openide/awt/IconWithArrow.java,v  <--  IconWithArrow.java
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/DropDownToggleButton.java,v
done
Checking in src/org/openide/awt/DropDownToggleButton.java;
/cvs/openide/awt/src/org/openide/awt/DropDownToggleButton.java,v  <-- 
DropDownToggleButton.java
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/DropDownButtonFactory.java,v
done
Checking in src/org/openide/awt/DropDownButtonFactory.java;
/cvs/openide/awt/src/org/openide/awt/DropDownButtonFactory.java,v  <-- 
DropDownButtonFactory.java
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/DropDownButton.java,v
done
Checking in src/org/openide/awt/DropDownButton.java;
/cvs/openide/awt/src/org/openide/awt/DropDownButton.java,v  <--  DropDownButton.java
initial revision: 1.1
done
Checking in apichanges.xml;
/cvs/openide/awt/apichanges.xml,v  <--  apichanges.xml
new revision: 1.11; previous revision: 1.10
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/arrow.png,v
done
Checking in src/org/openide/awt/resources/arrow.png;
/cvs/openide/awt/src/org/openide/awt/resources/arrow.png,v  <--  arrow.png
initial revision: 1.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo